#ifndef __CLEANUP_HEADER_INCLUDED__
#define __CLEANUP_HEADER_INCLUDED__

#include <g_globals.h>
#include <lists.h>

typedef void(*proc_cleanup)(int, void *);

typedef struct cleanup_list{
	list_head_t	l;
	proc_cleanup	cleanup;
	void		*priv;
}cleanup_list_t, *p_cleanup_list;


int clenup_init(void);
int cleanup_add_handler(proc_cleanup handler, void *priv);
void cleanup(int code);

/* Generic cleanup handlers */
void cleanup_lock(int code, void *priv);

#endif //__CLEANUP_HEADER_INCLUDED__
