#ifndef __TEMPLATES_HEADER_INCLUDED__
#define __TEMPLATES_HEADER_INCLUDED__
#include <g_globals.h>
#include <matcher.h>

typedef struct range_priv {
	int	min;
	int	max;
}range_priv_t, *p_range_priv;

typedef struct num_priv {
	int	val;
}num_priv_t, *p_num_priv;

typedef struct str_priv {
	char	*str;
}str_priv_t, *p_str_priv;

typedef struct tmpl {
	proc_match_validate	t_validate_range;
	proc_match_validate	t_validate_string;
	proc_match_validate	t_validate_number;

	proc_match_cleanup	t_cleanup_ptr;
	proc_match_cleanup	t_cleanup_ptrptr;
}tmpl_t, *p_tmpl;

#ifndef __PLUGIN__
void template_fill_struct(p_tmpl);
#endif

#endif /* __TEMPLATES_HEADER_INCLUDED__ */
