#ifndef __LISTS_HEADER_INCLUDED__
#define __LISTS_HEADER_INCLUDED__

#include <g_globals.h>

typedef struct list_head{
	struct list_head *next;
	struct list_head *prev;
}list_head_t, *p_list_head;

#ifndef __PLUGIN__
void *list_append(void *vp, void *vstart);
void *list_remove(void *p);
void *list_prepend(void *vp, void *vstart);
#endif

typedef void *(*proc_list_append)(void *, void *);
typedef void *(*proc_list_remove)(void *);
typedef void *(*proc_list_prepend)(void *, void *);

#endif //__LISTS_HEADER_INCLUDED__
